Subject: Re: bug#23923: 25.0.94; GDB duplicate menu entry

From: Eli Zaretskii <[email-masked]>
Date: Sat, 09 Jul 2016 10:32:55 +0300

tags 23923 + notabug
thanks

> From: Live System User <[email-masked]>
> Date: Fri, 08 Jul 2016 19:52:26 -0400
> 
>         When starting GDB I see a duplicate menu entry:
> 
> 0. emacs -Q
> 
> 1. MenuBar     Tools->Debugger (GDB)
> Run gdb (like this): gdb -i=mi RET
> 
> 2. MenuBar  Gud
> 
>         I then see duplicate "Run" in the menu.
>         
>         I don't know if one of the "Run" menu items is suppose
>         to be something else or is just a duplicate.

These two menu items do exactly the same when the program being
debugged was not yet started.  Once you do start the program, one of
the items will change to say "Continue", the other will stay at "Run",
which is why there are two of them.

IOW, this is not a bug, but the intended behavior (with perhaps
slightly confusing results).